import { mount } from "svelte";
import "./app.css";
import App from "./App.svelte";
import OIDCCallback from "./OIDCCallback.svelte";
import { trySync } from "$lib/services/stores.svelte";

const app = mount(location.href.includes("/oidc") ? OIDCCallback : App, {
	target: document.getElementById("app")!,
});

(async () => {
	await trySync();
})();

export default app;
